﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace ParentChildDropDownInGrid
{
    class NoteTypeIDToSubTypeListConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            int noteTypeID = int.Parse(value.ToString());

            List<NoteSubType> subTypeList;
            if (NoteTypes.List.Count(x => x.ID == noteTypeID) > 0)
            {
                subTypeList = NoteTypes.List.First(x => x.ID == noteTypeID).SubTypes;
            }
            else
            {
                subTypeList = new List<NoteSubType>();
            }
            return subTypeList;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotSupportedException();
        }

        #endregion
    }
}
